%define src_ver 3.4
%define languagelocal eo
%define languageeng esperanto
%define languagecode eo

Summary: 	Esperanto files for ispell
Summary(eo): Esperantaj dosieroj por ispell
Name: 		ispell-%{languagecode} 
Version: 	3.4
Release: 	7mdk
URL: 		http://www.esperanto.mv.ru/
# dated 2002-03-12
Source:		http://www.esperanto.mv.ru/Download/ispell/ispelleo.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRequires:	ispell
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-eo

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: iesperan
Obsoletes: ispell-esperanto

%description
ispell-eo has the spelling data for Esperanto which is used by
the ispell program. With this extension, you can compose a document
in Esperanto and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%description -l eo
ispell-eo enhavas la literumada dateno por Esperanto kiu la ispell programo
uzas.  Kun ĉi tiu etendaĵo, vi povas skribi dokumenton Esperante kaj
kontroli ĝin por literumadaj eraroj facile.

Vi povas uzi ispell rekte de la komandlinio por kontroli dosieron;
aŭ de kelkaj tekstprilaboriloj, kiel LyX, ktp.

%prep
%setup -n ispell-eo

%build
make
make all
cp work/%{languagelocal}.aff .
cp work/%{languagelocal}.asc %{languagelocal}.hash

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc README* LEGU-MIN.l3 doc/*.*
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 3.4-7mdk
- add tag Provides spell-eo

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.4-6mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.4-5mdk
- changed Requires: ispell to PreReq: ispell

* Tue Jun 18 2002 Stefan van der Eijk <stefan@eijk.nu> 3.4-4mdk
- BuildRequires

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.4-3mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.4-2mdk
- rebuild for new ispell

* Fri May 24 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.4-1mdk
- updated dictionnary file

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 2.0-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 2.0-5mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-4mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Fri Dec 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

